NXOpen .NET Reference  12.0.0
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.Motion.SplineBeamCollection Class Reference

Represents a collection of SplineBeams More...

Inheritance diagram for NXOpen.Motion.SplineBeamCollection:

Public Member Functions

NXOpen.Motion.SplineBeam[] ToArray ()
 Returns an array of NXOpen.Motion.SplineBeam objects. More...
 
unsafe
NXOpen.Motion.SplineBeamBuilder 
CreateSplineBeamBuilder (NXOpen.Motion.SplineBeam splineBeam)
 Creates a Motion.SplineBeamBuilder More...
 
unsafe NXOpen.Motion.SplineBeam FindObject (string name)
 Finds the NXOpen.Motion.SplineBeam with the given name. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of SplineBeams

To obtain an instance of this class, refer to NXOpen.Motion.MotionManager

Created in NX12.0.0

Member Function Documentation

unsafe NXOpen.Motion.SplineBeamBuilder NXOpen.Motion.SplineBeamCollection.CreateSplineBeamBuilder ( NXOpen.Motion.SplineBeam  splineBeam)

Creates a Motion.SplineBeamBuilder

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

Parameters
splineBeamNXOpen.Motion.SplineBeam to be edited, if a null reference (Nothing in Visual Basic) then create a new one
Returns
SplineBeamBuilder object
override int NXOpen.Motion.SplineBeamCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
protected

Advances the enumerator to the next element of the collection.

unsafe NXOpen.Motion.SplineBeam NXOpen.Motion.SplineBeamCollection.FindObject ( string  name)

Finds the NXOpen.Motion.SplineBeam with the given name.

An exception will be thrown if no object can be found with given name.

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

Parameters
nameThe name of the NXOpen.Motion.SplineBeam
Returns
NXOpen.Motion.SplineBeam with this name
NXOpen.Motion.SplineBeam [] NXOpen.Motion.SplineBeamCollection.ToArray ( )

Returns an array of NXOpen.Motion.SplineBeam objects.

Property Documentation

Tag NXOpen.Motion.SplineBeamCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.